"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const mongoose_1 = __importDefault(require("mongoose"));
const body_parser_1 = __importDefault(require("body-parser"));
const morgan_1 = __importDefault(require("morgan"));
const app = express_1.default();
const logging_1 = require("./utils/logging");
const index_1 = __importDefault(require("./routes/index"));
const headers_1 = __importDefault(require("./middleware/headers"));
mongoose_1.default.connect("mongodb://localhost:27017/stockBot", {
    useNewUrlParser: true
});
mongoose_1.default.connection.on("connected", () => {
    logging_1.logger.info("Established Mongoose Default Connection");
});
mongoose_1.default.connection.on("error", err => {
    logging_1.logger.error("Mongoose Default Connection Error : " + err);
});
app.listen(3000, () => {
    logging_1.logger.info("Server running on port 3000");
});
app.use(headers_1.default);
let morganLogStyle = ":method :url :status :response-time ms - :res[content-length]";
app.use(morgan_1.default(morganLogStyle, {
    stream: {
        write: str => {
            logging_1.logger.info(str);
        }
    }
}));
app.use(express_1.default.json());
app.use(body_parser_1.default.json());
app.use("/", index_1.default);
//# sourceMappingURL=api.js.map