"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
const { Console } = winston.transports;
const { combine, timestamp, printf } = winston.format;
const logFormat = printf(info => {
    return `${info.timestamp} - ${info.level}: ${info.message}`;
});
const defaultConsoleTransport = new Console({
    format: combine(timestamp(), logFormat)
});
const transportArray = [defaultConsoleTransport];
exports.logger = winston.createLogger({
    transports: transportArray
});
exports.logRoutes = function (prefix, routes) {
    let routeList = routes.stack;
    routeList.forEach(r => {
        let method = r.route.stack[0].method.toUpperCase();
        let path = prefix + r.route.path;
        exports.logger.info(`${method} - ${path}`);
    });
};
//# sourceMappingURL=logging.js.map