"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logging_1 = require("./logging");
function wrapAsync(fn) {
    return function (req, res, next) {
        fn(req, res, next).catch(next);
    };
}
exports.wrapAsync = wrapAsync;
function handleError(error, req, res, next) {
    logging_1.logger.error(error.message);
    res.status(500).json({ message: error.message, status: error.status });
}
exports.handleError = handleError;
//# sourceMappingURL=utils.js.map